--
-- ClearEvents
--

property ancestor
property okayFlag

property gWinEventsQ

on new me
  -- set constants:
  
  -- initialize the ancestor:
  set ancestor = new (script "XTools")
  
  -- do other initializations:
  set okayFlag = 0
  
  if the machineType <> 256 then
    -- we are on a mac
    
    -- look for the open x library
    -- if not(xtraExists(ancestor, "flush")) then
    -- alert "The mac event flushing routines are not available..."
    -- else
    
    -- set the ok flag
    set okayFlag = 1
    -- end if
    
  else
    -- we are on a PC
    
    if not(xtraExists(ancestor, "event")) then
      alert "The PC event flushing routines are not available..."
    else
      
      -- set the okay flag
      if not objectP(gWinEventsQ) then
        --        openXLib the pathname & "EVENTQ.DLL"
        --        set gWinEventsQ = EventQ (mNew)
        --JCODE
        set okayFlag = 1
      end if
      
    end if
  end if
  
  return me
end

on destruct me
  --JCODE  if objectP (gWinEventsQ) then gWinEventsQ (mDispose)
  set gWinEventsQ = 0
  if objectP (ancestor) then destruct (ancestor)
  set ancestor = 0
end

-- this starts the event capture buffer for windows
on startBuffer me
  if not okayFlag then return
  
  if the machineType = 256 then
    -- Greg Yachuk's XObject from MediaBook CD
    --JCODE  if objectP (gWinEventsQ) then gWinEventsQ (mBufferEvents)
  end if
end


-- this actually will clear the events, given the library is open, and the object is there
on clearEvents me
  if not okayFlag then return
  
  
  if the machineType = 256 then
    
    -- Greg Yachuk's XObject from MediaBook CD
    --JCODE  if objectP (gWinEventsQ) then gWinEventsQ(mFlushEvents)      
    
  else
    
    -- Geoff Smith's Xtra
    --JCODE  global gDebug
    --JCODE  if not gDebug then FlushAllEvents
  end if
  
end