-- 
-- stringTools
-- 

property ancestor

on new me
  -- set constants:
  
  -- initialize the ancestor:
  set ancestor = new (script "MemoryTools")
  
  return me
end


-- clear out all of my stuff

on destruct me
  -- destruct my chain
  if objectP (ancestor) then destruct (ancestor)
  set ancestor = 0
end


-- convert a string to a upper case string

on stringToUpper me, theString
  set maxChars = the number of chars of theString
  
  repeat with x = 1 to maxChars
    -- get the ASCII value for the character
    set theCharNum = charToNum(char x of theString)
    
    if theCharNum > 96 and theCharnum < 123 then
      -- we have a lower case character
      set newChar = numToChar(theCharNum - 32)
      
      -- insert it into the return string
      put newChar into char x of theString
    end if
  end repeat
  
  return theString
end


-- convert a string to a lower case string

on stringToLower me, theString
  set maxChars = the number of chars of theString
  
  repeat with x = 1 to maxChars
    -- get the ASCII value for the character
    set theCharNum = charToNum(char x of theString)
    
    if theCharNum > 65 and theCharnum < 91 then
      -- we have an upper case character
      set newChar = numToChar(theCharNum + 32)
      
      -- insert it into the return string
      put newChar into char x of theString
    end if
  end repeat
  
  return theString
end